=== debian/control ===
Source: globus-libtool
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), grid-packaging-tools, globus-core, libltdl-dev | libltdl7-dev | libltdl3-dev
Standards-Version: 3.8.4
Section: libs
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-libtool
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-libtool
Homepage: http://www.globus.org/

Package: libglobus-libtool
Section: libs
Architecture: any
Depends: ${libltdl:Depends}, ${misc:Depends}
Description: Globus Toolkit - Globus libtool package
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-libtool package contains:
 Globus libtool package (virtual GPT glue package)

Package: libglobus-libtool-dev
Section: libdevel
Architecture: any
Depends: libglobus-libtool (= ${binary:Version}), ${libltdl:Depends}, ${misc:Depends}
Description: Globus Toolkit - Globus libtool package Development Files
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-libtool-dev package contains:
 Globus libtool package Development Files (virtual GPT glue package)
